﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace GoMallOracle.WebUI.Controllers
{
    using System.Data.Metadata.Edm;
    using System.Diagnostics;

    using GoMallOracle.DAL;
    using GoMallOracle.Models;

    public class PdtController : Controller
    {
        //
        // GET: /Pdt/

        public ActionResult Index()
        {
            
            return View(ProductTypeService.GetAll());
        }

        //
        // GET: /Pdt/Details/5

        public ActionResult Details(int id)
        {
            return View();
        }

        //
        // GET: /Pdt/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Pdt/Create

        [HttpPost]
        public ActionResult Create(ProductType entity)
        {
            try
            {
                if (ModelState.IsValid)
                {
                    if (ProductTypeService.Add(entity) > 0)
                    {
                        return RedirectToAction("Index");
                    }
                    else
                    {
                        return View(entity);
                    }
                }
            }
            catch (Exception exp)
            {
                throw;
            }
            return View(entity);
        }

        //
        // GET: /Pdt/Edit/5

        public ActionResult Edit(int id)
        {
            return View(ProductTypeService.GetEntityById(id));
        }

        //
        // POST: /Pdt/Edit/5

        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            ProductType entity = new ProductType();
            try
            {
                if (TryUpdateModel(entity))
                {
                    if (ProductTypeService.Update(entity) > 0)
                    {
                        //throw  new Exception("故意");
                        ViewBag.message = "修改成功";
                    }
                    else
                    {
                        ViewBag.message = "修改失败";
                    }
                }
                return RedirectToAction("Index");
            }
            catch (Exception exp)
            {
                ViewBag.message = exp.Message;
            }
            ModelState.AddModelError("", ViewBag.message + "");
            return View(entity);
        }

        //
        // GET: /Pdt/Delete/5

        public ActionResult Delete(int id)
        {
            return View(ProductTypeService.GetEntityById(id));
        }

        //
        // POST: /Pdt/Delete/5

        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            ProductType entity = ProductTypeService.GetEntityById(id);
            try
            {
                if (ProductTypeService.DeleteById(id) > 0)
                {
                    ViewBag.message = "删除成功";
                    return RedirectToAction("Index");
                }
                else
                {
                    ViewBag.message = "删除失败";
                }
            }
            catch (Exception exp)
            {
                ViewBag.message = exp.Message;
            }
            ModelState.AddModelError("", ViewBag.message + "");
            return View(entity);
        }
    }
}
